TIMEMACHINE:(1)

NAME
timemachine: - manual page for timemachine

DESCRIPTION
Usage /usr/bin/timemachine: [-h] [-i] [-c channels] [-n jack-name]

    [-t buffer-length] [-p file prefix] [-f format] [-a] [-b begin-threshold] [-e end-threshold] [-T end-time] [port-name ...]

-h  show this help

-i  interactive mode (console instead of X11) also enabled if DISPLAY is unset

-c  specify number of recording channels

-n  specify the JACK name timemachine will use

-t  specify the pre-recording buffer length

-p  specify the saved file prefix, may include path

-s  use safer characters in filename (windows compatibility)

-f  specify the saved file format

-a  enable automatic sound-triggered recording

-b  specify threshold above which automatic recording will begin

-e  specify threshold below which automatic recording will end

-T  specify silence length before automatic recording ends

    channels must be in the range 1-8, default 2 jack-name, default "TimeMachine" file-prefix, default "tm-" buffer-length, default 10 secs format, default 'w64', options: wav, w64 begin-threshold, default -35.0 dB end-threshold, default -35.0 dB end-time, default 10 secs

specifying port names to connect to on the command line overrides -c